
---
#
# Pour installer PG et quelques outils
#
# ** Mettre à jour à chaque release majeure des manuels ! **
#

# FIXME
#  autodetect pgbench path
#  drop de public -> utile en v16 ??

# FIXME : scinder en plusieurs morceaux, un par TP, pour des appels séparés
# FIXME : rajouter des tags partout pour des appels par morceaux via --tags
# FIXME : problème de droit, les SQL ne peuvent pas être écrasés en cas de 2è appel ?
# FIXME : validate_certs à false sert à contourner problème de redirection dali.bo->public.dalibo.com : y a peut être plus propre ?

# - name: Installation de base + PG
#   ansible.builtin.import_playbook: 20_outils_base.yaml
  
- hosts: all
  remote_user: dalibo
  become: True
  become_user: postgres
  tasks:

    - name: Copy fichiers
      copy:
        src: "{{ item }}"
        dest: /var/lib/pgsql/
        owner: postgres
        mode: 0755
      loop:
         - 10_init_pre_scenario.sh
         - 11_init_bdd_pgsession.sql
         - 12_modif_date_3_ans.sql
         - 20_scenario_pgsession.sh
         - 21_pgsession_select.sql
         - 22_pgsession_insert_update.sql
         - 23_pgsession_delete.sql

#    - name: Exécute pré scénario
#      shell:
#        cmd: "bash /var/lib/pgsql/10_init_pre_scenario.sh"
